Debian Bug report logs - #194026
Please remove wn

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Martin Michlmayr <tbm@cyrius.com>

Date: Tue, 20 May 2003 15:33:14 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#194026; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: wn -- Secure and efficient http server with advanced features.
Date: Wed, 21 May 2003 01:26:46 +1000
Package: wnpp
Severity: normal

The current maintainer of wn, Jean Pierre LeJacq <jplejacq@quoininc.com>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: wn
Binary: wn
Version: 2.2.9-2
Priority: optional
Section: web
Maintainer: Jean Pierre LeJacq <jplejacq@quoininc.com>
Architecture: any
Standards-Version: 3.5.6
Format: 1.0
Directory: pool/main/w/wn
Files: 888f5e44071e5000ac8db0c310e298f9 566 wn_2.2.9-2.dsc
 8579c3e8bcff7f317741d6dbb5735434 404398 wn_2.2.9.orig.tar.gz
 981a1adbd1d27260b0d4ad8760098418 72070 wn_2.2.9-2.diff.gz

Package: wn
Priority: optional
Section: web
Installed-Size: 1516
Maintainer: Jean Pierre LeJacq <jplejacq@quoininc.com>
Architecture: i386
Version: 2.2.9-2
Provides: httpd
Depends: mime-support, base-passwd (>= 1.2.0-3), logrotate
Suggests: www-browser, perl5, doc-base, dhelp | dwww, man2html, info2www
Filename: pool/main/w/wn/wn_2.2.9-2_i386.deb
Size: 392278
MD5sum: bb10db679595d1a72b6df985738f3c48
Description: Secure and efficient http server with advanced features.
 WN is a server for the Hypertext Transfer Protocol (HTTP/1.1).  Its
 primary design goals are security and functionality usually
 available only with complex CGI scripts without the necessity of
 writing or using these scripts.  This includes extensive
 security checks, full text searching and conditionally served
 text.
 .
 Despite this extensive functionality the WN executable is
 substantially smaller than the CERN or NCSA servers.  Both a
 stand-alone daemon and a version intended for use under inetd
 are provided.  The inetd version is designed to minimize the use
 of system resources and it is appropriate for moderate or
 lightly loaded servers which cannot be totally dedicated to Web
 serving.
 .
 WN's security model is based on the use of a small flat database
 in each directory with information about the files in that
 directory.  Fields associated with a file include its title, and
 may include keywords, expiration date and any user defined
 fields like author or document id.  Unlike other servers, the
 default action for WN is to deny access to a file.  A file can
 only be served if explicit permission to do so has been granted
 by entering it in this database.


-- 
Martin Michlmayr
tbm@cyrius.com



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#194026; Package wnpp. Full text and rfc822 format available.

Message #8 received at 194026@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: debian-qa@lists.debian.org
Subject: Removing wn?
Date: Thu, 4 Mar 2004 15:37:56 +0100
Hi.

I just investigated the orphaned wn package:
 - It has a (easy fixable) RC bug
 - It's packaged in the worst form I've ever seen. Some kind
   of home-breed packaging system. Totally bloated and confusing.
 - A new upstream version is available: 2.4.6 vs. 2.2.9, seems
   there were a great number of releases in between
 - It's orphaned for nearly 300 days without any sign of interest from
   anyone.
 - It's configuration is not debconf based, and if you just choose the
   default answers loops forever.

Can we please just remove this one? It needs complete repackaging
anyway.

Gruesse,
-- 
Frank Lichtenheld <djpig@debian.org>
www: http://www.djpig.de/


-- 
To UNSUBSCRIBE, email to debian-qa-request@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org



Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Martin Michlmayr <tbm@cyrius.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 194026-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 194026-close@bugs.debian.org
Subject: Bug#194026: fixed
Date: Mon, 08 Mar 2004 14:12:35 -0500
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

        wn |    2.2.9-3 | source, alpha, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 194026@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
James Troup (the ftpmaster behind the curtain)



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:50:46 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.